public class TestStdDraw {

    public static void main(String[] args) {

        // initialize the graphics window to 800 x 800 pixels
        StdDraw.setCanvasSize(800, 800);

        // set the coordinates of the x-axis to the range [-10, 10]
        StdDraw.setXscale(-10.0, 10.0);
        // set the coordinates of the y-axis to the range [-10, 10]
        StdDraw.setYscale(-10.0, 10.0);

        // clear the window
        StdDraw.clear(StdDraw.BLACK);

        // draw an image at a specified location
        StdDraw.picture(0, 0, "sun.gif");
        StdDraw.picture(-5, 5, "earth.gif");
        
        // update the window and pause 2000 milliseconds (2 seconds)
        StdDraw.show(2000);
        
        // move the Earth to the right for 100 time steps
        double x = -5;
        for (int i = 0; i < 100; i++) {
            x = x + 0.1;
            StdDraw.clear(StdDraw.BLACK); // what happens if you omit this line?
            StdDraw.picture(0, 0, "sun.gif");
            StdDraw.picture(x, 5, "earth.gif");
            StdDraw.show(10);  // pause 10 ms
        }
    }
}

// The above code displays the Earth and Sun against a black background.
// For an alternative, try changing StdDraw.clear(StdDraw.BLACK) to
// StdDraw.picture(0, 0, "starfield.jpg").  This will display a star
// field instead of a black background.
